
/*     *******************************************************************************
	XVisual GUI Development System for Linux/X-Window
	Copyright (C) 1996 Steve Carrie.

        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
        ******************************************************************************* */

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw3d/Tree.h>
#include <X11/xv/xvCore.h>
#include <X11/xv/xvTree.h>

// ---------------------------------

xvTree::xvTree()
{
	alloc=FALSE;
}

// ---------------------------------

xvTree::xvTree(String name, xvCore & parent)
{
	init(name, parent);
}

// ---------------------------------

xvTree::~xvTree()
{
	if (alloc) XtDestroyWidget(w);
}

// ---------------------------------

void xvTree::init(String name, xvCore & parent)
{
	w=XtVaCreateManagedWidget(name, treeWidgetClass, parent.ID(), NULL);
	alloc=TRUE;
}

// ---------------------------------

void xvTree::AutoConfig(Boolean conf)
{
	XtVaSetValues(w, XtNautoReconfigure, (XtArgVal) conf, NULL);
}

// ----------------------------------

void xvTree::ForceLayout()
{
	XawTreeForceLayout(w);
}

// -----------------------------------

void xvTree::SetGravity(XtGravity gr)
{
	XtVaSetValues(w, XtNgravity, (XtArgVal) gr, NULL);
}

// -----------------------------------

void xvTree::SetSpace(Dimension hs, Dimension vs)
{
	XtVaSetValues(w, XtNhSpace, (XtArgVal) hs, XtNvSpace, (XtArgVal) vs, NULL);
}

// -----------------------------------
